﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace TreeViewTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            GenerateData();
        }

        private void GenerateData()
        {
            PanelBarViewModel model = new PanelBarViewModel();
            TreeViewViewModel treeModelOne = new TreeViewViewModel();
            treeModelOne.Name = "First Three";
            TreeViewViewModel treeModelTwo = new TreeViewViewModel();
            treeModelTwo.Name = "Second Three";
            TreeViewViewModel treeModelThree = new TreeViewViewModel();
            treeModelThree.Name = "Third Three";

            DataItem item = new DataItem() {  };
            item.Children.Add(new DataItem() { Name = "item A" });
            item.Children.Add(new DataItem() { Name = "item B" });
            item.Children.Add(new DataItem() { Name = "item C" });

            treeModelOne.Children.Add(item);
            treeModelTwo.Children.Add(item);
            treeModelThree.Children.Add(item);


            model.TreeViewViewModels.Add(treeModelOne);
            model.TreeViewViewModels.Add(treeModelTwo);
            model.TreeViewViewModels.Add(treeModelThree);

            this.ReportMenu.ItemsSource = model.TreeViewViewModels;
        }

        private void RadContextMenu_ItemClick(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
           // asdasd
        }


    }
}
